package com.example.demo;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonProperty;

// ДОБАВИТЬ ФОТО "IMAGE" 
public class Game {

    private Integer typeId;
    private String title;
    private Integer price;
    private String description;

    public Game() {
    }

    // Конструктор, исп. при десериализации
    @JsonCreator
    public Game(
            @JsonProperty(value = "typeId") Integer typeId,
            @JsonProperty(value = "title") String title,
            @JsonProperty(value = "price") Integer price,
            @JsonProperty(value = "desc") String description) {
        this.typeId = typeId;
        this.title = title;
        this.price = price;
        this.description = description;
    }

    public Integer getTypeId() {
        return typeId;
    }

    public String getTitle() {
        return title;
    }

    public Integer getPrice() {
        return price;
    }

    public String getDescription() {
        return description;
    }
}
